Glenn Glenn -4 years ago 121
iOS Question

Cocoapods iOS - [!] Google has been deprecated - How to get rid of the warning?

Steps I did:


  1. pod repo remove master

  2. pod setup

  3. pod update --verbose
    (Just to check the progress especially when updating the Google SDKs, took so long to finish).



And there, I got the warning. In my logs, Google SDKs were updated successfully:


-> Installing Google 3.1.0 (was 3.0.3)

-> Installing GoogleMaps 2.3.0 (was 2.2.0)


Podfile:

target 'MyProj' do

...
pod 'Google/Analytics'
pod 'GoogleMaps'
...
target 'MyProjTests' do
inherit! :search_paths
end

post_install do |installer|
installer.pods_project.targets.each do |target|
target.build_configurations.each do |config|
config.build_settings['SWIFT_VERSION'] = '3.0'
end
end
end
end


enter image description here

I would like to know how to get rid of this warning.

Answer Source

Change pod 'Google/Analytics' to pod 'GoogleAnalytics' removing the slash.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download